package org.apache.bcel.classfile;

import java.io.IOException;
import java.io.DataInput;

public final class ConstantInterfaceMethodref extends ConstantCP
{
    public ConstantInterfaceMethodref(final ConstantInterfaceMethodref c) {
        super((byte)11, c.getClassIndex(), c.getNameAndTypeIndex());
    }
    
    ConstantInterfaceMethodref(final DataInput input) throws IOException {
        super((byte)11, input);
    }
    
    public ConstantInterfaceMethodref(final int classIndex, final int nameAndTypeIndex) {
        super((byte)11, classIndex, nameAndTypeIndex);
    }
    
    @Override
    public void accept(final Visitor v) {
        v.visitConstantInterfaceMethodref(this);
    }
}
